#!/bin/bash

if ! [ -e plftool/plftool ]; then
	echo 'Make plftool first!'
	exit 1
fi

if ! [ -e preuboot/preuboot.bin ]; then
	echo "Make preuboot binary first!"
	exit 1
fi

if [ -z "$3" ]; then
	echo "Usage: $0 modeltype uboot.bin out.plf"
	echo "Look in inis for modeltypes."
	exit 0
fi

set -e

cat preuboot/preuboot.bin "$2" > payload.bin
echo " ### Generating payload plf ###"
plftool/plftool -c payload.plf inis/uboot_$1.ini
echo " ### Generating update plf ###"
plftool/plftool -c $3 inis/update_$1.ini
rm payload.bin payload.plf test.out
echo "All done."